aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/runqemu-internal
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/runqemu-internal')
-rwxr-xr-xscripts/runqemu-internal8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index 03b40d8323..0ace485cb8 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -253,6 +253,14 @@ else
n0=$(echo $TAP | sed 's/tap//')
+
+ case $n0 in
+ ''|*[!0-9]*)
+ echo "Error Couldn't turn $TAP into an interface number?"
+ exit 1
+ ;;
+ esac
+
n1=$(($n0 * 2 + 1))
n2=$(($n1 + 1))